/*-----------------------------------------------------------------------------
    Name: flow
    Generated By: Rajesh
    Date of generation: 05/20/2021 03:52:34
    Flow details:
    Build details: 4.6.0 (build# 68)
    Modification History:
-----------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ns_string.h"

void flow()
{

    ns_start_transaction("captha");
    ns_web_url ("captha",
        "URL=http://api.mcom-078.tbe.zeus.fds.com/v4/applicationreferencedata/captcha",
        "METHOD=GET",
        "HEADER=X-Macys-ClientId:iShop_iPhone",
        "HEADER=Accept:application/json",
        "HEADER=X-Macys-Webservice-Client-Id:kbaqr5jmekavxzf3xv65andj",
        "HEADER=Accept-Language:en;q=1 ",
        "HEADER=Accept-Encoding:gzip,deflate ",
        "HEADER=Connection:keep-alive"
    );

    ns_end_transaction("captha", NS_AUTO_STATUS);

    ns_start_transaction("getUser");
    ns_web_url ("getUser",
        "URL=http://172.21.13.117:8080/api/customer/v1/users/userdetails/getuser?userid=131231239999",
        "METHOD=GET",
        "HEADER=Content-Type:application/json",
        "HEADER=Accept:application/json"
    );

    ns_end_transaction("getUser", NS_AUTO_STATUS);

}
